const express = require('express');
const session = require('cookie-session');
const app = express();

app.use(express.json());
app.use(express.urlencoded());

app.use(session({secret: 'todoapp'}));

session.users = [];

app.use((req,res,next) => {
    if(!req.session.todoList){
        req.session.todoList = [];
    }
    next();
})

app.get('/todo', (req,res)=>{
    res.render('todo.ejs', {todoList: req.session.todoList, users: session.users})
});

app.post('/todo/add', (req,res)=>{
    if(req.body.newtodo){
        req.session.todoList.push(req.body.newtodo);
        session.users.push(req.body.username);

    }
    res.redirect('/todo');
})


app.get('/todo/delete/:id', (req,res) =>{ 
    if(req.params.id){
        req.session.todoList.splice(req.params.id,1);
    };
    res.redirect('/todo');
})






app.listen(3001);